Subject: Re: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x1f2/0x200()

From: "Justin P. Mattock" <[email-masked]>
Date: Tue, 20 Mar 2012 22:15:58 -0700

On 03/20/2012 04:27 PM, Francois Romieu wrote:
> Justin P. Mattock<[email-masked]>  :
> [...]
>> well i dont know what happened.. I suspend throughout the day
>> without any issues, but then on one wakeup everything went to crap
>> ethernet started to try and connect without any wires in.. only
>> thing I can think of is I was dongling with my phone(but the phone
>> was disconnected before suspend),which uses a different module..
>
> The MII registers read as 0xff. I'll have to figure why the
> suspend / resume cycle failed, or why it seemed to work. :o/
>

not sure why this did this, I rebooted and have suspended numerous times 
without an issue with ethernet, even retraced my steps to try and 
re-created but nothing. seems solid to me beside that hickup.

I am trying to gather any info for you, if you have any ideas on what I 
can try let me know!

Thanks for the patch and info with this.

Justin P. Mattock